/*
 * Copyright (C) 2000-2003 ASANO Masahiro
 */

#include "def.h"

#define __KERNEL__
#include <linux/netdevice.h>
#include <net/neighbour.h>

void
prhead_neighbour()
{
	mprintf(SPTR" "SPTR" "SPTR" "SPTR" "SPTR" "SPTR" "SPTR"\n", "ADDR",
		"TBL", "PARMS", "DEV", "HH", "OUTPUT", "OPS");
}

addr_t
print_neighbour(addr)
	addr_t addr;
{
	struct neighbour neigh;

	memread(addr, sizeof(neigh), &neigh, "neighbour");
	mprintf(FPTR " ", addr);

	mprintf(FPTR " " FPTR " " FPTR " ", neigh.tbl, neigh.parms, neigh.dev);
	mprintf(FPTR " " FPTR " " FPTR, neigh.hh, neigh.output, neigh.ops);
	mprintf("\n");
	return (addr_t)neigh.next;
}
